Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.utils
Class HexCharset.Decoder

    java.lang.Object
      java.nio.charset.CharsetDecoder
          org.red5.io.utils.HexCharset.Decoder

Enclosing class:
  HexCharset

    public class HexCharset.Decoder

extends CharsetDecoder

Method Summary
`CoderResult` | `decodeLoop(ByteBuffer in, CharBuffer out)`
`protected void` | `implReset()`

Methods inherited from class java.nio.charset.CharsetDecoder
`averageCharsPerByte, charset, decode, decode, detectedCharset, flush, implFlush, implOnMalformedInput, implOnUnmappableCharacter, implReplaceWith, isAutoDetecting, isCharsetDetected, malformedInputAction, maxCharsPerByte, onMalformedInput, onUnmappableCharacter, replacement, replaceWith, reset, unmappableCharacterAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decodeLoop

    public CoderResult decodeLoop(ByteBuffer in,
                                  CharBuffer out)

  Specified by:
    `decodeLoop` in class `CharsetDecoder`

### implReset

    protected void implReset()

  Overrides:
    `implReset` in class `CharsetDecoder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project